List merges
Authoritative merge ledger for the location, oldest first. Use watermark pagination with since and the returned next_since.
curl -X GET "https://mythic-analytics.gulp.workers.dev/client/v1/data/merges?location_id=acme-retail&since=2024-12-25T10%3A00%3A00Z&limit=500" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://mythic-analytics.gulp.workers.dev/client/v1/data/merges?location_id=acme-retail&since=2024-12-25T10%3A00%3A00Z&limit=500"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://mythic-analytics.gulp.workers.dev/client/v1/data/merges?location_id=acme-retail&since=2024-12-25T10%3A00%3A00Z&limit=500", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://mythic-analytics.gulp.workers.dev/client/v1/data/merges?location_id=acme-retail&since=2024-12-25T10%3A00%3A00Z&limit=500", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://mythic-analytics.gulp.workers.dev/client/v1/data/merges?location_id=acme-retail&since=2024-12-25T10%3A00%3A00Z&limit=500')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{
"success": true,
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"source_person_id": "example_string",
"target_person_id": "example_string",
"merge_reason": "example_string",
"merged_by": "example_string",
"created_at": "2024-12-25T10:00:00Z"
}
],
"rows": 500,
"next_since": "2024-12-25T10:00:00Z"
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Forbidden",
"message": "You don't have permission to access this resource",
"code": 403
}
{
"error": "Too Many Requests",
"message": "Rate limit exceeded. Please try again later",
"code": 429,
"retryAfter": 3600
}
/merges
Target server for requests. Edit to use your own host.
Agency key as bearer token. Format: Bearer ak_.... Must name a location via the location_id query parameter or X-Location-Id header. Scoped keys (mcp_) are accepted too and need people:read. See Using an mcp_ key over HTTP.
Bearer ak_.... Must name a location via the location_id query parameter or X-Location-Id header. Scoped keys (mcp_) are accepted too and need people:read. See Using an mcp_ key over HTTP.
Location secret key as bearer token. Format: Bearer sk_.... Resolves its own location — no location_id needed.
Bearer sk_.... Resolves its own location — no location_id needed.
Required for agency (ak_) keys. Ignored for secret (sk_) keys, which resolve their own location. May also be supplied via the X-Location-Id header.
Return only merges created after this timestamp. Pass the previous page's next_since.
Maximum merges per page. Default 500, min 1, max 5000.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. Agency key as bearer token. Format: Bearer ak_.... Must name a location via the location_id query parameter or X-Location-Id header. Scoped keys (mcp_) are accepted too and need people:read. See Using an mcp_ key over HTTP.
Bearer token. Location secret key as bearer token. Format: Bearer sk_.... Resolves its own location — no location_id needed.
Query Parameters
Required for agency (ak_) keys. Ignored for secret (sk_) keys, which resolve their own location. May also be supplied via the X-Location-Id header.
acme-retailReturn only merges created after this timestamp. Pass the previous page's next_since.
Maximum merges per page. Default 500, min 1, max 5000.
Responses
Watermark for the next page. null when the page is empty.